Cancel Protégé job
DELETE
/v1/protege/{jobId}Authorization
Authorizationstringrequired
Send a Modaic bearer token in the Authorization header.
Path Parameters
jobIdstringrequired
Protégé job ID.
import os
import requests
response = requests.delete(
"https://modaic.dev/api/v1/protege/44444444-4444-4444-8444-444444444444",
headers={"Authorization": f"Bearer {os.environ['MODAIC_API_KEY']}"},
)
response.raise_for_status()
job = response.json()
idstring
Protégé job ID.
statuscancelled
The terminal job state.
Cancelling an already-cancelled job is idempotent. Commits the agent pushed before cancellation remain in the model repository.
Was this page helpful?